# \nre\exceptionsParamsNotValidException

Exception Parameters not valid.

## Summary

Methods
Properties
Constants
__construct()
getParams()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$params
N/A

File
  exceptions/ParamsNotValidException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \nre\exceptions\ParamsNotValidException

## Tags

author | coderkun olli@coderkun.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $params

    $params : array

Invalid parameters.

#### Type

array

#

## Tags

None found

## Methods

### __construct()

    __construct(mixed  $param1)

Construct a new exception.

#### Parameters

mixed | $param1 | Invalid parameters as argument list

#

## Tags

None found

### getParams()

    getParams() : array

Get invalid parameters.

#### Returns

array —

Invalid parameters

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### ParamsNotValidException.inc